;;; -*- Mode: Lisp; Package: User -*-

;;;  (c) copyright 1998,1999,2000 by Michael McDonald (mikemac@mikemac.com)
;;;  (c) copyright 2000 by 
;;;           Robert Strandh (strandh@labri.u-bordeaux.fr)

;;; This library is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU Library General Public
;;; License as published by the Free Software Foundation; either
;;; version 2 of the License, or (at your option) any later version.
;;;
;;; This library is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; Library General Public License for more details.
;;;
;;; You should have received a copy of the GNU Library General Public
;;; License along with this library; if not, write to the 
;;; Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
;;; Boston, MA  02111-1307  USA.

;;; Modified in 2004 by Milan Zamazal <pdm@debian.org> for Debian installation.
;;; Make diff against ../system.lisp to get the detailed modification report.

(in-package :common-lisp-user)

(defparameter *clim-directory* (directory-namestring *load-truename*))

#+mk-defsystem (use-package "MK")

#+mk-defsystem
(defmacro clim-defsystem ((module &key depends-on) &rest components)
  `(defsystem ,module
       :source-pathname *clim-directory*
       :source-extension "lisp"
       ,@(and depends-on `(:depends-on ,depends-on))
        :components
	(:serial
	 ,@components)))

#+asdf
(defmacro clim-defsystem ((module &key depends-on) &rest components)
  `(asdf:defsystem ,module
    ,@(and depends-on
	   `(:depends-on ,depends-on))
    :serial t
    :components
    (,@(loop for c in components
	     for p = (merge-pathnames
		      (parse-namestring c)
		      (make-pathname :type "lisp"
				     :defaults *clim-directory*))
	     collect `(:file ,(pathname-name p) :pathname ,p)))))

#-(or mk-defsystem asdf)
(defmacro clim-defsystem ((module &key depends-on) &rest components)
  `(defsystem ,module ()
     (:serial
      ,@depends-on
      ,@components)))

;;; CLIM-Examples depends on having at least one backend loaded.
;;; Which backend is the user's choice.
(clim-defsystem (:clim-examples :depends-on (:clim :clim-looks))
   "Examples/calculator"
   "Examples/colorslider"
   "Examples/menutest"
   "Examples/address-book"
   "Examples/traffic-lights"
   "Examples/clim-fig"
   "Examples/postscript-test"
   ;; "Examples/puzzle"
   "Examples/transformations-test"
   ;; "Examples/sliderdemo"
   "Examples/stream-test"
   "Examples/presentation-test"
   #+clx "Examples/gadget-test"
   "Goatee/goatee-test")
